﻿@{
    Layout = null;
}



<div class="view-container" id="invoice-data" style="min-width: 100%;">
    <div class="title-bar">
        <div class="back">
            <a class="action" ng-click="back()">
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>
        <div class="title">

            <h1>
                {{reportName}}
                
            </h1>
        </div>
        <div class="clearfix"></div>
        <hr />
    </div>
    <div class="table-responsive">
        <table class="table table-striped">
            <thead style="background-color: rgb(27,129,192);color:#fff;">
                <tr>
                    <td style="width: 30px;min-width:30px;max-width:30px;"></td>
                    <th class="text-left" style="width: 344px;max-width: 344px;min-width:344px;">Date</th>
                    <th class="text-left" style="width: 153px;max-width: 153px;min-width:153px;">Confirmation</th>
                    <th class="text-right" style="padding-right: 24px;width: 160px;max-width: 160px;min-width:160px;">Amount</th>
                    <th class="text-right" style="padding-right: 25px;width: 125px;max-width: 125px;min-width:125px;">Paid</th>
                    <th class="text-right" style="padding-right: 32px;width: 132px;max-width: 132px;min-width:132px;">Balance</th>
                    <th class="text-right" style="padding-right: 17px;width: 205px;max-width: 205px;min-width:205px;" ng-show="'{{reportName}}' != 'Invoice'">Amount to take</th>
                    <th class="text-right" style="padding-right: 17px;width: 205px;max-width: 205px;min-width:205px;" ng-show="'{{reportName}}' == 'Invoice'">Invoice amount</th>
                </tr>
            </thead>
            <tbody>
                <tr ng-repeat-start="order in Model" role="row">
                    <td>
                        <input ng-if="order.expanded" ng-click="order.expanded = false;order.Checked=false ;orderInvoceAmountNotExpanded(order.Id,order.expanded)" type="checkbox" ng-checked="true" />
                        <input ng-if="!order.expanded" ng-click="order.expanded = true;order.Checked=true ;getOrderItems(order);" type="checkbox" ng-checked="false" />
                    </td>
                    <td>{{order.StrOrderDate}}</td>
                    <td>{{order.ConfirmationId}}</td>
                    <td class="text-right" style="padding-right: 30px;">{{(order.OrderAmount).formatCurrencyWithPenny(2)}}</td>
                    <td class="text-right" style="padding-right: 30px;">{{(order.PaidAmount).formatCurrencyWithPenny(2)}}</td>
                    <td class="text-right" style="padding-right: 30px;">
                        <i style="color:red;margin:0;" ng-if="order.Balance>0">{{(order.Balance).formatCurrencyWithPenny(2)}}</i>
                        <i style="color:green;margin:0;" ng-if="order.Balance<0">{{(order.Balance).formatCurrencyWithPenny(2)}}</i>
                    </td>

                    <td class="text-right" style="padding-right: 17px;"><span type="number" ng-value="(order.Balance)" ng-readonly="true" />{{(order.InvoiceAmount).formatCurrencyWithPenny(2)}}</td>
                </tr>

                <tr ng-if="order.expanded" ng-repeat-end="" style="display: table-row;">

                    <td class="k-hierarchy-cell"></td>

                    <td class="k-detail-cell" colspan="6">
                        <table class="tbl-fullsize">
                            <tr style="background-color: rgb(208, 230, 243);width: 516px;color: #fff;">
                                <th style="width: 30px;min-width:30px;max-width:30px;color:black"></th>
                                <th class="text-left" style="color:black;width: 321px;max-width: 321px !important;min-width:321px;">Participant</th>
                                <th class="text-left" style="color:black;width: 153px;max-width: 153px;min-width:153px;">Program name</th>
                                <th class="text-right" style="color:black;width: 160px;max-width: 160px;min-width:160px;">Amount</th>
                                <th class="text-right" style="color:black;width: 127px;max-width: 127px;min-width:127px;">Paid</th>
                                <th class="text-right" style="color:black;width: 131px;max-width: 131px;min-width:131px;">Balance</th>
                                <th class="text-right" style="color:black;width: 228px;max-width: 228px;min-width:228px;padding-right: 10.3px;" ng-show="'{{reportName}}' != 'Invoice'">Amount to take</th>
                                <th class="text-right" style="color:black;width: 228px;max-width: 228px;min-width:228px;padding-right: 10.3px;" ng-show="'{{reportName}}' == 'Invoice'">Invoice amount</th>
                            </tr>


                            <tr ng-repeat-start="orderItem in OrderitemModel[order.Id]" role="row">
                                <td>
                                    <input ng-if="orderItem.expanded && orderItem.Balance>0 && orderItem.PaymentplanType!='Installment'" ng-click="orderItem.expanded = false; orderItem.Checked = true;OrderamountWithSumOrderitemAmount(order.Id,order.expanded,orderItem.Id,orderItem.expanded)" type="checkbox" ng-checked="false" />
                                    <input ng-if="!orderItem.expanded && orderItem.Balance>0 && orderItem.PaymentplanType!='Installment'" ng-click="orderItem.expanded = true; ; orderItem.Checked = false; OrderamountNotchecked(order.Id,order.expanded,orderItem.Id,orderItem.expanded) " type="checkbox" ng-checked="true" />

                                    <input ng-if="orderItem.expanded && orderItem.Balance>0 && orderItem.PaymentplanType=='Installment'" ng-click="orderItem.expanded = false;orderItem.Checked = true;OrderamountWithSumOrderitemAmount(order.Id,order.expanded,orderItem.Id,orderItem.expanded)" type="checkbox" ng-checked="false" />
                                    <input ng-if="!orderItem.expanded && orderItem.Balance>0 && orderItem.PaymentplanType=='Installment'" ng-click="orderItem.expanded = true;orderItem.Checked = false;OrderamountNotchecked(order.Id,order.expanded,orderItem.Id,orderItem.expanded) " type="checkbox" ng-checked="true" />

                                    <button style="width: 13px;height: 14px;line-height: 0;padding: 0;display: inline-block;border-radius:3px;border-color:#a09a9a" ng-if="orderItem.expanded && orderItem.Balance<=0 && orderItem.PaymentplanType=='Installment'" ng-click="orderItem.expanded = false;orderItem.Checked = true;" ng-checked="false">+</button>
                                    <button style="width: 13px;height: 14px;line-height: 0;padding: 0;display: inline-block;border-radius:3px;border-color:#a09a9a" ng-if="!orderItem.expanded && orderItem.Balance<=0 && orderItem.PaymentplanType=='Installment'" ng-click="orderItem.expanded = true;orderItem.Checked = false;OrderItemExpanded(order.Id,order.expanded,orderItem.Id,orderItem.Checked)" ng-checked="true">-</button>

                                </td>
                                <td>{{orderItem.Attendee}}<span class='grid-label label info margin-left5' ng-show="orderItem.IsInvoiced==true">Already invoiced</span> <span class="grid-label label warning"ng-show="orderItem.IsCancel==true">Canceled</span></td>
                                <td>{{orderItem.ProgramName}}</td>
                                <td class="text-right">{{(orderItem.EntryFee).formatCurrencyWithPenny(2)}}</td>
                                <td class="text-right">{{(orderItem.PaidAmount).formatCurrencyWithPenny(2)}}</td>
                                <td class="text-right">
                                    <i style="color:red;margin:0;" ng-if="orderItem.Balance>0">{{(orderItem.Balance).formatCurrencyWithPenny(2)}}</i>
                                    <i style="color:green;margin:0;" ng-if="orderItem.Balance<0">{{(orderItem.Balance).formatCurrencyWithPenny(2)}}</i>
                                    <i style="color:black;margin:0;" ng-if="orderItem.Balance==0">{{(orderItem.Balance).formatCurrencyWithPenny(2)}}</i>
                                </td>
                                <td class="text-right">
                                    <span ng-if="(orderItem.Balance)>0 && orderItem.PaymentplanType=='Installment'">{{(orderItem.InvoiceAmount).formatCurrencyWithPenny(2)}}</span>
                                    <span ng-if="(orderItem.Balance)>0 && orderItem.PaymentplanType!='Installment'">{{(orderItem.InvoiceAmount).formatCurrencyWithPenny(2)}}</span>
                                    <span ng-if="(orderItem.Balance)<=0 && orderItem.PaymentplanType=='Installment'">-</span>
                                    <span ng-if="(orderItem.Balance)<=0 && orderItem.PaymentplanType!='Installment'">-</span>

                                </td>
                            </tr>
                            <tr ng-if="orderItem.PaymentplanType=='Installment'" ng-repeat-end="" style="display: table-row;">
                                <td class="k-hierarchy-cell" colspan="0"></td>
                                <td class="k-detail-cell" colspan="6" style="padding:5px 0 !important;">
                                    <table class="tbl-sub" ng-if="orderItem.expanded==false">
                                        <tr style="background-color: rgba(225, 237, 247, 0.47);width: 516px;color:black;">
                                            <th class="text-left" style="width: 54px;max-width: 54px;min-width:54px;"></th>
                                            <th class="text-left" style="width: 255px;max-width: 255px;min-width:255px;">Due date</th>
                                            <th class="text-left" style="width: 166px;max-width: 166px;min-width:166px;">Paid on</th>
                                            <th class="text-right" style="width: 134px;max-width: 134px;min-width:134px;">Amount</th>
                                            <th class="text-right" style="width: 124px;max-width: 124px;min-width:124px;">Paid</th>
                                            <th class="text-right" style="width: 126px;max-width: 126px;min-width:126px;">Balance</th>
                                            <th class="text-right" style="width: 221px;max-width: 221px;min-width:221px;" ng-show="'{{reportName}}' != 'Invoice'">Amount to take</th>
                                            <th class="text-right" style="width: 221px;max-width: 221px;min-width:221px;" ng-show="'{{reportName}}' == 'Invoice'">Invoice amount</th>
                                        </tr>
                                        <tr ng-repeat="orderItemInstalment in orderItem.Installments" role="row">
                                            <td>
                                                <input ng-if="orderItemInstalment.expanded && orderItemInstalment.Balance>0" ng-click="orderItemInstalment.expanded = false;orderItemInstalment.Checked=true;OrderItemAmounWithInstalmentChecked(order.Id,order.expanded,orderItem.Id,orderItem.expanded,orderItemInstalment.id,orderItemInstalment.expanded)" type="checkbox" ng-checked="false" />
                                                <input ng-if="!orderItemInstalment.expanded && orderItemInstalment.Balance>0" ng-click="orderItemInstalment.expanded = true; orderItemInstalment.Checked=false;OrderItemAmounWithInstalmentNotChecked(order.Id,order.expanded,orderItem.Id,orderItem.expanded,orderItemInstalment.id,orderItemInstalment.expanded)" type="checkbox" ng-checked="true" />
                                            </td>
                                            <td>{{orderItemInstalment.StrDueDate}} <span class='grid-label label info margin-left5' ng-show="orderItemInstalment.IsInvoiced==true">Already invoiced</span></td>
                                            <td class="text-left">{{orderItemInstalment.StrPaidDate}}</td>
                                            <td class="text-right">{{(orderItemInstalment.Amount).formatCurrencyWithPenny(2)}}</td>
                                            <td class="text-right">{{(orderItemInstalment.PaidAmount).formatCurrencyWithPenny(2)}}</td>
                                            <td class="text-right">
                                                <i style="color:red;margin:0;" ng-if="orderItemInstalment.Balance>0">{{(orderItemInstalment.Balance).formatCurrencyWithPenny(2)}}</i>
                                                <i style="color:green;margin:0;" ng-if="orderItemInstalment.Balance<0">{{(orderItemInstalment.Balance).formatCurrencyWithPenny(2)}}</i>
                                                <i style="color:black;margin:0;" ng-if="orderItemInstalment.Balance==0">{{(orderItemInstalment.Balance).formatCurrencyWithPenny(2)}}</i>
                                            </td>
                                            <td class="text-right">
                                                <span ng-if="orderItemInstalment.Balance<=0">-</span>
                                                <span ng-if="orderItemInstalment.Balance >0">{{(orderItemInstalment.InvoiceAmount).formatCurrencyWithPenny(2)}}</span>
                                            </td>

                                        </tr>
                                    </table>
                                </td>
                            </tr>
                        </table>
                    </td>


                </tr>

            </tbody>
        </table>
    </div>
    <fieldset>
        <hr />
        <a class="place-left button link large" ng-click="back()">Cancel</a>
        

        
        <button type="button" class="success large place-right button" data-ng-click="confirmItems()">
            Continue
        </button>

        <div class="clearfix"></div>
    </fieldset>
</div>